image: alpine
stages:
  - deploy
before_script:
  # Setup SSH deploy keys
  - apk add --update openssh-client bash
  - eval $(ssh-agent -s)
  - bash -c 'ssh-add <(echo "$SSH_PRIVATE_KEY")'
  - mkdir -p ~/.ssh
  - 'echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'

deploy_production:
  stage: deploy
  environment:
    name: production
    url: $PROD_DEPLOY_SERVER
  script:
    - ssh $PROD_DEPLOY_USER@$PROD_DEPLOY_SERVER -p 1022 "cd ${PROD_DEPLOY_PATH} && git checkout master && git pull origin master && sed -i 's/ENV/prod/g' db.php && exit"
  only:
    - master

deploy_staging:
  stage: deploy
  environment:
    name: staging
    url: $TEST_DEPLOY_SERVER
  script:
    - ssh $TEST_DEPLOY_USER@$TEST_DEPLOY_SERVER -p 1022 "cd ${TEST_DEPLOY_PATH} && git checkout test && git pull origin test && sed -i 's/ENV/boot/g' db.php && exit"
  only:
    - test
